{% extends 'histo/base.html' %}
{% block scripts %}
{% load static %}
<!--
<script src="{% static 'dygraph.min.js' %}"></script>
<link rel="stylesheet" href="{% static 'dygraph.css' %}" type="text/css">
-->
<link rel="stylesheet" href="{% static 'ol.css'%}" type="text/css">
<script src="{% static 'ol.js' %}"></script>

<!-- autocomplete stuff -->
<link rel="stylesheet" href="{% static 'autocomplete.css'%}" type="text/css">
<script src="{% static 'autocomplete.js' %}"></script>
{% endblock %}
{% block content %}

<div class="smallpage">
    <div>
        <span style="color:red;">station climatique</span>
        <br><span style="color:green;">synoptique</span>
        <br><span style="color:blue;">pluviomètre</span>
    </div>
    <div id="map" style="height:500px; border:1px solid black"></div>
    <form autocomplete="off">
        <div class="autocomplete" style="width:300px;">
            <input id="find_station" type="text" name="myCountry" placeholder="find station">
        </div>
    </form>

    <script src="{% static 'stations.js' %}"></script>
    <script src="{% static 'histo.js' %}"></script>
    <script type="text/javascript">
var places = new ol.layer.Vector({
	source: new ol.source.Vector({
            features: (new ol.format.GeoJSON()).readFeatures({{ places|safe }}),
            projection: 'EPSG:4326',
	}),
	zIndex: 6,
	style: textStyle
    });
map.addLayer(places);

var stationFeats = {{ stations|safe }};

var stations = new ol.layer.Vector({
	source: new ol.source.Vector({
            features: (new ol.format.GeoJSON()).readFeatures(stationFeats),
            projection: 'EPSG:4326'
	}),
	style: stationStyle,
	zIndex: 3
    });
map.addLayer(stations);

selectFeature = new ol.interaction.Select({
    condition: ol.events.condition.click,
    layers: [stations]
});

selectFeature.on('select', clickStation);
map.addInteraction(selectFeature);

var hover = new ol.interaction.Select({
    condition: ol.events.condition.pointerMove,
    style: stationHoverStyle,
    layers: [stations]
});
map.addInteraction(hover);

var background = new ol.layer.Vector({
    source: new ol.source.Vector({
        format: new ol.format.GeoJSON(),
        url: "{% static 'senegal.geojson' %}"
    }),
    style: new ol.style.Style({
        stroke: new ol.style.Stroke({ color: 'black' }),
        fill : new ol.style.Fill({ color: 'rgb(200,200,200)' })
    })
})
map.addLayer(background);

var series_color = {{ colors|safe }};
var cdft_color = {{ cdft_colors|safe }};


/* autocomplete */
var station_names = {{ station_names|safe }};
autocomplete(document.getElementById("find_station"), station_names);

var thisUrl = "{% url 'histo:index' %}";
</script>

{% if station %}

<div id="station">

    <h1>{{ station.name }} <a href="#head"><img src="{% static 'img/arrow-up-circle.svg' %}"></a></h1>

    <h3>Station {{ station.get_type_display }}</h3>
    <p>
        <i>longitude {{ station.lon }}, latitude {{ station.lat }}
            {% if station.alt %} / altitude : {{ station.alt }}m{% endif %}</i>
        <br>Voir les <a href="{% url 'proj:index' %}?station={{ station.pk }}">projections climatiques liées à cette
        station</a> (1950-2100).
    </p>

    {% for si in station.stationinfo_set.all %}
    <h2>{{ si.param }}</h2>
    {% if si.last_updated %}<p>dernière mise à jour : {{ si.last_updated }}
        (il y a {{ si.delta_last_updated }} jours)</p>{% endif %}

        {% if si.param.shortparam == 'pr' %}
        <table class="stationinfo">
            <tr>
                <th></th><th>cumul</th><th>max journalier</th><th>nb jours de pluie</th>
                <th>max jours<br>consécutifs de pluie<br>(CWD)</th><th>max jours<br>consécutifs sans pluie<br>(CDD)</th>
                <th>nb jours<br>>99e percentile</th><th>nb jours<br>>95e percentile</th>
            </tr>
            {% for i in si.stationraininfo_set.all %}
            <tr>
                <td>{{ i.get_period_display }} <br><span style="color:grey">{{ i.print_period }}</span></td>
                <td>{{ i.cumul }}mm</td><td>{{ i.daymax }}mm</td><td>{{ i.nbdays }}j</td>
                <td>{% if i.cwd != Null %}{{ i.cwd }}j{% endif %}</td><td>{% if i.cdd != Null %}{{ i.cdd }}j{% endif %}</td>
                <td>{{ i.p99 }}j</td><td>{{ i.p95 }}j</td>
            </tr>
            {% endfor %}
        </table>
        {% else %}
        <table class="stationinfo">
            <tr>
                <th></th><th>min</th><th>moyenne</th><th>max</th>
                <th>nb jours<br>>99e percentile</th><th>nb jours<br>>95e percentile</th>
            </tr>
            {% for i in si.stationtempinfo_set.all %}
            <tr>
                <td>{{ i.get_period_display }}
                    <br><span style="color:grey">{% if i.period == 'Y' %}
                        {{ i.period_end.year }}{% else %}{{ i.print_period }}{% endif %}</span>
                </td>
                <td>{{ i.daymin }}°C</td><td>{{ i.dayavg }}°C</td><td>{{ i.daymax }}°C</td>
                <td>{{ i.p99 }}j</td><td>{{ i.p95 }}j</td>
            </tr>
            {% endfor %}
        </table>
        {% endif %}
    {% endfor %}

    <p><a href="#head"><img src="{% static 'img/arrow-up-circle.svg' %}"></a></p>

</div>
{% endif %}
</div>

{% endblock %}
